javax.jms

## Class TransactionInProgressException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - javax.jms.JMSException
      - - javax.jms.TransactionInProgressException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  TransactionInProgressException

    public class TransactionInProgressException
    extends JMSException

This exception is thrown when an operation is invalid because a transaction is in progress. For instance, an attempt to call `Session.commit` when a session is part of a distributed transaction should throw a `TransactionInProgressException`.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`TransactionInProgressException(String reason)` Constructs a `TransactionInProgressException` with the specified reason.
`TransactionInProgressException(String reason, String errorCode)` Constructs a `TransactionInProgressException` with the specified reason and error code.

### Method Summary

### Methods inherited from class javax.jms.JMSException

`getErrorCode, getLinkedException, setLinkedException`

### Methods inherited from class java.lang.Throwable

`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### TransactionInProgressException

    public TransactionInProgressException(String reason,
                                  String errorCode)

Constructs a `TransactionInProgressException` with the specified reason and error code.

Parameters:
  `reason` - a description of the exception
  `errorCode` - a string specifying the vendor-specific error code

#### TransactionInProgressException

    public TransactionInProgressException(String reason)

Constructs a `TransactionInProgressException` with the specified reason. The error code defaults to null.

Parameters:
  `reason` - a description of the exception